Bug 919552 - CVE-2013-2492 Firebird: CNCT info remote stack buffer overflow [fedora-all]
CVE-2013-2492 Firebird: CNCT info remote stack buffer overflow [fedora-all]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: firebird (Show other bugs)
18
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Philippe Makowski
Fedora Extras Quality Assurance
: Security, SecurityTracking
: 926979 (view as bug list)
Depends On:
Blocks: CVE-2013-2492
  Show dependency treegraph
 
Reported: 2013-03-08 14:06 EST by Kurt Seifried
Modified: 2013-04-01 12:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-20 17:36:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2013-03-08 14:06:20 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Kurt Seifried 2013-03-08 14:06:27 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=919549,919552
Comment 2 Fedora Update System 2013-03-10 15:50:18 EDT
firebird-2.5.2.26539.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/firebird-2.5.2.26539.0-2.fc18
Comment 3 Fedora Update System 2013-03-10 15:51:59 EDT
firebird-2.5.2.26539.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/firebird-2.5.2.26539.0-2.fc17
Comment 4 Fedora Update System 2013-03-10 15:55:14 EDT
firebird-2.5.2.26539.0-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/firebird-2.5.2.26539.0-3.el6
Comment 5 Fedora Update System 2013-03-10 15:59:27 EDT
firebird-2.1.5.18496.0-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/firebird-2.1.5.18496.0-4.el5
Comment 6 Fedora Update System 2013-03-11 15:31:30 EDT
Package firebird-2.1.5.18496.0-4.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing firebird-2.1.5.18496.0-4.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-0598/firebird-2.1.5.18496.0-4.el5
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-03-20 17:36:07 EDT
firebird-2.5.2.26539.0-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-03-20 17:43:08 EDT
firebird-2.5.2.26539.0-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-03-26 12:41:45 EDT
firebird-2.5.2.26539.0-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-03-26 12:45:51 EDT
firebird-2.1.5.18496.0-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Philippe Makowski 2013-04-01 12:16:24 EDT
*** Bug 926979 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.